# 博客功能展示


展示博客主题的相关功能

<!--more-->

> 1.播放 bilibili 视频

{{< bilibili BV1df4y1p7A8 >}}

> 2.播放音乐

原网址： https://music.163.com/#/playlist?id=162024453

{{< music netease playlist 162024453 >}}

> 3.mapbox

{{< mapbox 116.326 40.002 10 false "mapbox://styles/mapbox/streets-zh-v1" >}}

> 4.插入图片

{{< image src="/images/img/20211204153013.png" caption="测试图片">}}

{{< image src="/images/img/20211204153201.png" caption="图片2" >}}

> 5.插入链接

{{< link herf="https://Barneys.gitee.io/" content="主页地址" title="回到首页">}}

> 6.添加横幅

{{< admonition >}}
一个 **注意** 横幅
{{< /admonition >}}

{{< admonition abstract >}}
一个 **摘要** 横幅
{{< /admonition >}}

{{< admonition info >}}
一个 **信息** 横幅
{{< /admonition >}}

{{< admonition tip >}}
一个 **技巧** 横幅
{{< /admonition >}}

{{< admonition success >}}
一个 **成功** 横幅
{{< /admonition >}}

{{< admonition question >}}
一个 **问题** 横幅
{{< /admonition >}}

{{< admonition warning >}}
一个 **警告** 横幅
{{< /admonition >}}

{{< admonition failure >}}
一个 **失败** 横幅
{{< /admonition >}}

{{< admonition danger >}}
一个 **危险** 横幅
{{< /admonition >}}

{{< admonition bug >}}
一个 **Bug** 横幅
{{< /admonition >}}

{{< admonition example >}}
一个 **示例** 横幅
{{< /admonition >}}

{{< admonition quote >}}
一个 **引用** 横幅
{{< /admonition >}}

{{< admonition type="info" title="自定义条幅">}}
自定义
{{< /admonition>}}

> 7.插入 Youtube 视频

{{< youtube NWONeJKn6kc >}}

> 8.Latex 公式

下面是公式块：

$$
f(x)=\int_{-\infty}^{\infty} \hat{f}(\xi) e^{2 \pi i \xi x} d \xi
$$

这是一个行内公式：$ f(x)=\int\_{-\infty}^{\infty} \hat{f}(\xi) e^{2 \pi i \xi x} d \xi $

> 9.pdf 文件内嵌

套用下面的模板，填入 pdf 的外链即可

```html
<object data="https://xxxx.pdf" type="application/pdf" width="100%" height= "700px">
    <embed src="https://xxxx.pdf">
        <p>This browser does not support PDFs. Please download the PDF to view it:
        <a href="https://xxxx.pdf">Download PDF</a>.</p>
    </embed>
</object>
```

pdf 展示效果

<object data="https://jokerzhangimg.oss-cn-beijing.aliyuncs.com/pdf/CV__1_.pdf" type="application/pdf" width="100%" height= "700px">
    <embed src="https://jokerzhangimg.oss-cn-beijing.aliyuncs.com/pdf/CV__1_.pdf">
        <p>This browser does not support PDFs. Please download the PDF to view it: <a href="https://jokerzhangimg.oss-cn-beijing.aliyuncs.com/pdf/CV__1_.pdf">Download PDF</a>.</p>
    </embed>
</object>

> 10.博客功能展示

在要置顶的文章的 Front matter 中添加`weight: 1`(按`weight`值从小到大排序)

> 11.新增视频 shortcodes

爱奇艺和搜狐不能直接用播放页面地址的视频`id`，使用页面的分享按钮获取完整`iframe`地址
爱奇艺是`tvid`部分，搜狐是`bid`部分。

```
{{</* qqvideo r0029muuhfj */>}}

{{</* youku XMzk1NjM1MjAw */>}}

{{</* sohu 90742150 */>}}

{{</* acfun ac14349183 */>}}
```

> 12.showcase shortcode

```
{{</* showcase title="linux常用命令" summary="持续更新一些常用的命令" image="/images/all/ubuntu_20.png" link="/linux命令" *>}}
或
{{</* showcase "linux常用命令" "持续更新一些常用的命令" "/images/all/ubuntu_20.png" "/linux命令"*/>}}
```

{{< showcase title="linux常用命令" summary="持续更新一些常用的命令" image="/images/all/ubuntu_20.png" link="/linux命令" >}}

{{< showcase "linux常用命令" "持续更新一些常用的命令" "/images/all/ubuntu_20.png" "linux命令" >}}

> 13.typeit

{{< typeit code=java >}}
public class HelloWorld {
public static void main(String []args) {
System.out.println("Hello World");
}
}
{{< /typeit >}}

> 14.Hugo 文章内链优化显示

传入`md`文件名即可

调用方式(注意去掉`\`):

```
\{\{<blog_link "正则表达式入门">\}\}
\{\{<blog_link "conda相关">\}\}
```

{{<blog_link "正则表达式入门">}}
{{<blog_link "conda相关">}}

> 15.豆瓣图书卡片

```
\{\{< douban book=""  uprating="9" title="客乡" url="https://book.douban.com/subject/35473516/" rating="8.9" author="[德]燕妮·埃彭贝克" pubdate="2023-1" publisher="北京日报出版社" summary="入选《卫报》21世纪百佳图书，莱比锡图书奖短名单作品——《客乡》以冰山一般的超然语调，讲述了柏林郊外一栋湖边别墅，几十年间不断变迁的居住在此的人们的故事。20世纪德国动荡的历史进程，在一个个激情、伤痛、遗憾与和解的故事中自陈其身。" img_url="https://img1.doubanio.com/view/subject/s/public/s34387147.jpg" >\}\}
```

{{< douban book=""  uprating="9" title="客乡" url="https://book.douban.com/subject/35473516/" rating="8.9" author="[德]燕妮·埃彭贝克" pubdate="2023-1" publisher="北京日报出版社" summary="入选《卫报》21世纪百佳图书，莱比锡图书奖短名单作品——《客乡》以冰山一般的超然语调，讲述了柏林郊外一栋湖边别墅，几十年间不断变迁的居住在此的人们的故事。20世纪德国动荡的历史进程，在一个个激情、伤痛、遗憾与和解的故事中自陈其身。" img_url="https://img1.doubanio.com/view/subject/s/public/s34387147.jpg" >}}

> 16.豆瓣电影卡片

```
\{\{< douban movie="" uprating="6" url="https://movie.douban.com/subject/26995475/" name="风再起时" rating="6.4" director="翁子光" genre="剧情 / 动作 / 犯罪" year="2022" intro="张扬敢拼的磊乐（郭富城 饰）与内敛善谋的南江（梁朝伟 饰），在因缘际会下携手，破除旧规，立威造势，在磊乐太太蔡真（杜鹃 饰）的斡旋下，成为黑白两道人人皆知的“双雄探长”，二人自此叱咤香港三十年。然而在表面的平静与制衡之下，火并、谋杀、背叛、夺权……!" img_url="https://img1.doubanio.com/view/photo/s_ratio_poster/public/p2887517387.jpg" >\}\}
```

{{< douban movie="" uprating="6" url="https://movie.douban.com/subject/26995475/" name="风再起时" rating="6.4" director="翁子光" genre="剧情 / 动作 / 犯罪" year="2022" intro="张扬敢拼的磊乐（郭富城 饰）与内敛善谋的南江（梁朝伟 饰），在因缘际会下携手，破除旧规，立威造势，在磊乐太太蔡真（杜鹃 饰）的斡旋下，成为黑白两道人人皆知的“双雄探长”，二人自此叱咤香港三十年。然而在表面的平静与制衡之下，火并、谋杀、背叛、夺权……!" img_url="https://img1.doubanio.com/view/photo/s_ratio_poster/public/p2887517387.jpg" >}}


>16.tab标签页

{{< tabs "group0">}}
{{< tab "c">}}
```c
#include <stdio.h>

int main()
{
    int a, b;
    scanf("%d%d", &a, &b);
    printf("%d\n", a + b);
    return 0;
}
```
{{< /tab >}}

{{< tab "cpp">}}

```cpp
#include <iostream>
using namespace std;
int main() {
    cout << "hello" << endl;
    return 0;
}
```

{{< /tab >}}

{{< tab "java">}}

```java
import java.io.*;
import java.util.*;

public class Main {
    public static void main(String args[]) throws Exception {
        Scanner cin=new Scanner(System.in);
        var a = cin.nextInt();
        var b = cin.nextInt();
        System.out.println(a + b);
    }
}
```


{{< /tab >}}

{{< tab "python">}}
```python
import sys

for line in sys.stdin:
    print sum(map(int, line.split()))
```
{{< /tab >}}

{{< tab "js">}}
```js
let fs = require('fs');
let buf = '';

process.stdin.on('readable', function() {
    let chunk = process.stdin.read();
    if (chunk) buf += chunk.toString();
});

process.stdin.on('end', function() {
    buf.split('\n').forEach(function(line) {
        let tokens = line.split(' ').map(function(x) { return parseInt(x); });
        if (tokens.length != 2) return;
        console.log(tokens.reduce(function(a, b) { return a + b; }));
    });
});
```
{{< /tab >}}


{{< /tabs >}}


{{< tabs "group1">}}
{{< tab "c">}}
```c
#include <stdio.h>

int main()
{
    int a, b;
    scanf("%d%d", &a, &b);
    printf("%d\n", a + b);
    return 0;
}
```
{{< /tab >}}

{{< tab "cpp">}}

```cpp
#include <iostream>
using namespace std;
int main() {
    cout << "hello" << endl;
    return 0;
}
```

{{< /tab >}}

{{< tab "java">}}

```java
import java.io.*;
import java.util.*;

public class Main {
    public static void main(String args[]) throws Exception {
        Scanner cin=new Scanner(System.in);
        var a = cin.nextInt();
        var b = cin.nextInt();
        System.out.println(a + b);
    }
}
```


{{< /tab  >}}

{{< tab "python">}}
```python
import sys

for line in sys.stdin:
    print sum(map(int, line.split()))
```
{{< /tab >}}

{{< tab "js">}}
```js
let fs = require('fs');
let buf = '';

process.stdin.on('readable', function() {
    let chunk = process.stdin.read();
    if (chunk) buf += chunk.toString();
});

process.stdin.on('end', function() {
    buf.split('\n').forEach(function(line) {
        let tokens = line.split(' ').map(function(x) { return parseInt(x); });
        if (tokens.length != 2) return;
        console.log(tokens.reduce(function(a, b) { return a + b; }));
    });
});
```
{{< /tab >}}


{{< /tabs >}}
